{include="header"}

<script type="text/javascript">
   function eliminar_divisa(cod)
   {
      if( confirm("¿Realmente desea eliminar la divisa "+cod+"?") )
      {
         window.location.href = '{$fsc->url()}&delete='+cod;
      }
   }
</script>

<div class="container-fluid" style="margin-bottom: 10px;">
   <div class="row">
      <div class="col-xs-12">
         <a class="btn btn-xs btn-default" href="{$fsc->url()}" title="Recargar la página">
            <span class="glyphicon glyphicon-refresh"></span>
         </a>
         <div class="btn-group">
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}{$value->params}" class="btn btn-xs btn-default">{$value->text}</a>
               {elseif="$value->type=='modal'"}
               <!--{$txt=base64_encode($value->text)}-->
               <!--{$url='index.php?page='.$value->from.$value->params}-->
               <a href="#" class="btn btn-xs btn-default" onclick="fs_modal('{$txt}','{$url}')">{$value->text}</a>
               {/if}
            {/loop}
         </div>
      </div>
   </div>
</div>

<ul class="nav nav-tabs" role="tablist">
   <li role="presentation" class="active">
      <a href="#divisas" aria-controls="divisas" role="tab" data-toggle="tab">
         <i class="fa fa-money" aria-hidden="true"></i>&nbsp; Divisas
      </a>
   </li>
   <li role="presentation">
      <a href="#configuracion" aria-controls="configuracion" role="tab" data-toggle="tab">
         <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>&nbsp; Configuración
      </a>
   </li>
   {loop="$fsc->extensions"}
      {if="$value->type=='tab'"}
      <li role="presentation">
         <a href="#ext_{$value->name}" aria-controls="ext_{$value->name}" role="tab" data-toggle="tab">{$value->text}</a>
      </li>
      {/if}
   {/loop}
</ul>
<div class="tab-content">
   <div role="tabpanel" class="tab-pane active" id="divisas">
      <div class="table-responsive">
         <table class="table table-hover">
            <thead>
               <tr>
                  <th class="text-left" width="120">Código</th>
                  <th class="text-left" width="120">Símbolo</th>
                  <th class="text-left">Descripción</th>
                  <th class="text-left" width="120">Código ISO</th>
                  <th class="text-left">Tasa de conversión (1$ = X)</th>
                  <th class="text-left">Tasa de conversión (1$ = X) (compras)</th>
                  <th class="text-right" width="120">Acciones</th>
               </tr>
            </thead>
            {loop="$fsc->divisa->all()"}
            <form action="{$fsc->url()}" method="post" class="form">
               <tr>
                  <td>
                     <input type="hidden" name="coddivisa" value="{$value->coddivisa}"/>
                     <div class="form-control">{$value->coddivisa}</div>
                  </td>
                  <td><input class="form-control" type="text" name="simbolo" value="{$value->simbolo}" autocomplete="off"/></td>
                  <td><input class="form-control" type="text" name="descripcion" value="{$value->descripcion}" autocomplete="off"/></td>
                  <td><input class="form-control" type="text" name="codiso" value="{$value->codiso}" autocomplete="off"/></td>
                  <td><input class="form-control" type="text" name="tasaconv" value="{$value->tasaconv}" autocomplete="off"/></td>
                  <td><input class="form-control" type="text" name="tasaconv_compra" value="{$value->tasaconv_compra}" autocomplete="off"/></td>
                  <td class="text-right">
                     <div class="btn-group">
                        {if="$fsc->allow_delete"}
                           {if="$value->coddivisa==$fsc->empresa->coddivisa"}
                           <a href="#" class="btn btn-sm btn-warning" title="Bloqueado" onclick="alert('No puedes eliminar la divisa predeterminada.')">
                              <span class="glyphicon glyphicon-lock"></span>
                           </a>
                           {else}
                           <a href="#" class="btn btn-sm btn-danger" title="Eliminar" onclick="eliminar_divisa('{$value->coddivisa}')">
                              <span class="glyphicon glyphicon-trash"></span>
                           </a>
                           {/if}
                        {/if}
                        <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();" title="Guardar">
                           <span class="glyphicon glyphicon-floppy-disk"></span>
                        </button>
                     </div>
                  </td>
               </tr>
            </form>
            {/loop}
            <form action="{$fsc->url()}" method="post" class="form">
               <tr class="info">
                  <td><input class="form-control" type="text" name="coddivisa" maxlength="3" autocomplete="off" placeholder="Nueva..."/></td>
                  <td><input class="form-control" type="text" name="simbolo" autocomplete="off" placeholder="$"/></td>
                  <td><input class="form-control" type="text" name="descripcion" autocomplete="off" placeholder="Moneda"/></td>
                  <td><input class="form-control" type="text" name="codiso" autocomplete="off"/></td>
                  <td><input class="form-control" type="text" name="tasaconv" value="1" autocomplete="off"/></td>
                  <td><input class="form-control" type="text" name="tasaconv_compra" value="1" autocomplete="off"/></td>
                  <td class="text-right">
                     <div class="btn-group">
                        <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();" title="Guardar">
                           <span class="glyphicon glyphicon-floppy-disk"></span>
                        </button>
                     </div>
                  </td>
               </tr>
            </form>
         </table>
      </div>
   </div>
   <div role="tabpanel" class="tab-pane" id="configuracion">
      <br/>
      <div class="container-fluid">
         <div class="row">
            <div class="col-sm-6">
               <div class="panel panel-default">
                  <div class="panel-heading">
                     <h3 class="panel-title">Divisa predeterminada</h3>
                  </div>
                  <div class="panel-body">
                     Puedes seleccionar la divisa predeterminada de Sartin desde Admin &gt; Empresa.
                     <br/><br/>
                     <a href="index.php?page=admin_empresa#facturacion" class="btn btn-sm btn-default">
                        <span class="glyphicon glyphicon-wrench" aria-hidden="true"></span> &nbsp; Elegir divisa
                     </a>
                  </div>
               </div>
            </div>
            <div class="col-sm-6">
               <div class="panel panel-default">
                  <div class="panel-heading">
                     <h3 class="panel-title">Opciones de divisa</h3>
                  </div>
                  <div class="panel-body">
                     Puedes cambiar el número de decimales, el separador, etc... desde el panel de control.
                     <br/><br/>
                     <a href="index.php?page=admin_home#avanzado" class="btn btn-sm btn-default">
                        <span class="glyphicon glyphicon-wrench" aria-hidden="true"></span> &nbsp; Panel de control
                     </a>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
   {loop="$fsc->extensions"}
      {if="$value->type=='tab'"}
      <div role="tabpanel" class="tab-pane" id="ext_{$value->name}">
         <iframe src="index.php?page={$value->from}{$value->params}" width="100%" height="2000" frameborder="0"></iframe>
      </div>
      {/if}
   {/loop}
</div>

{include="footer"}
